NXOpen .NET Reference  12.0.0
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Selection Class Reference

Defines an interface object for executing selection operations More...

Inheritance diagram for NXOpen.Selection:

Classes

class  _SelectionFilterCallbackAdapter
 
class  _SelectionFilterTaggedObjectCallbackAdapter
 
class  _SelectionSelectionCallbackAdapter
 
class  _SelectionTaggedObjectSelectionCallbackAdapter
 
struct  MaskTriple
 Used in selection methods to set the types of objects that are selectable. More...
 
struct  SelectionDescriptor
 For a rectangle deselection, the fields Deselection , MultipleSelection , Rectangle bits would be set. More...
 

Public Types

enum  SelectionScope { UseDefault, WorkPart, AnyInAssembly = 3, WorkPartAndOccurrence }
 Indicates the scope for selecting objects. More...
 
enum  SelectionAction {
  EnableAll, EnableSpecific, DisableSpecific, ClearAndEnableSpecific,
  AllAndDisableSpecific
}
 Indicates the type of action to perform when an object is selected. More...
 
enum  SelectionType {
  All, Features, Curves, Faces,
  Edges, CurvesAndEdges
}
 Indicates the general class of object to filter selection. More...
 
enum  Response {
  Back = 1, Cancel, Ok, ObjectSelectedByName,
  ObjectSelected
}
 Specify the user response for the selection operation. More...
 
enum  DialogResponse {
  None, Pick, Ok, Cancel,
  Back, Apply, Help
}
 Specify the user response for general dialogs. More...
 
enum  SelectionFeatureType { Browsable, NoBooleanUdf }
 Specify the type of features to select. More...
 
enum  UistylerSelectionType {
  InactiveSelection, SingleSelection, SingleDeselection, RobustSelection,
  SinglePosition, RectanglePosition
}
 Indicates the general class of object to filter selection. More...
 

Public Member Functions

delegate int FilterTaggedObjectCallback (NXOpen.TaggedObject entity, NXOpen.Selection.MaskTriple entityMask, NXOpen.SelectionHandle selectHandle)
 It is an optional callback which the user can provide to perform application specific filtering when selecting tagged objects. More...
 
delegate int FilterCallback (NXOpen.NXObject entity, NXOpen.Selection.MaskTriple entityMask, NXOpen.SelectionHandle selectHandle)
 It is an optional callback which the user can provide to perform application specific filtering when selecting objects. More...
 
delegate int TaggedObjectSelectionCallback (NXOpen.TaggedObject[] selectedObjects, NXOpen.TaggedObject[] deselectedObjects, NXOpen.SelectionHandle selectHandle)
 It is an optional callback which the user can provide to customize his selection of tagged objects More...
 
delegate int SelectionCallback (NXOpen.NXObject[] selectedObjects, NXOpen.NXObject[] deselectedObjects, NXOpen.SelectionHandle selectHandle)
 It is an optional callback which the user can provide to customize his selection More...
 
unsafe NXOpen.Selection.Response SelectObjects (string message, string title, NXOpen.Selection.SelectionScope scope, bool includeFeatures, bool keepHighlighted, out NXOpen.NXObject[] objectArray)
 Select objects. More...
 
unsafe NXOpen.Selection.Response SelectTaggedObjects (string message, string title, NXOpen.Selection.SelectionScope scope, bool includeFeatures, bool keepHighlighted, out NXOpen.TaggedObject[] objectArray)
 Select tagged objects. More...
 
unsafe NXOpen.Selection.Response SelectObjects (string message, string title, NXOpen.Selection.SelectionScope scope, NXOpen.Selection.SelectionAction action, bool includeFeatures, bool keepHighlighted, NXOpen.Selection.MaskTriple[] maskArray, out NXOpen.NXObject[] objectArray)
 Select objects using filter defined by mask triples. More...
 
unsafe NXOpen.Selection.Response SelectTaggedObjects (string message, string title, NXOpen.Selection.SelectionScope scope, NXOpen.Selection.SelectionAction action, bool includeFeatures, bool keepHighlighted, NXOpen.Selection.MaskTriple[] maskArray, out NXOpen.TaggedObject[] objectArray)
 Select tagged objects using filter defined by mask triples. More...
 
unsafe NXOpen.Selection.Response SelectObjects (string message, string title, NXOpen.Selection.SelectionScope scope, bool keepHighlighted, NXOpen.Selection.SelectionType[] typeArray, out NXOpen.NXObject[] objectArray)
 Select objects using filter defined by selection type. More...
 
unsafe NXOpen.Selection.Response SelectTaggedObjects (string message, string title, NXOpen.Selection.SelectionScope scope, bool keepHighlighted, NXOpen.Selection.SelectionType[] typeArray, out NXOpen.TaggedObject[] objectArray)
 Select tagged objects using filter defined by selection type. More...
 
unsafe NXOpen.Selection.Response SelectObject (string message, string title, NXOpen.Selection.SelectionScope scope, bool includeFeatures, bool keepHighlighted, out NXOpen.NXObject @object, out NXOpen.Point3d cursor)
 Select single object. More...
 
unsafe NXOpen.Selection.Response SelectTaggedObject (string message, string title, NXOpen.Selection.SelectionScope scope, bool includeFeatures, bool keepHighlighted, out NXOpen.TaggedObject @object, out NXOpen.Point3d cursor)
 Select single tagged object. More...
 
unsafe NXOpen.Selection.Response SelectObject (string message, string title, NXOpen.Selection.SelectionScope scope, NXOpen.Selection.SelectionAction action, bool includeFeatures, bool keepHighlighted, NXOpen.Selection.MaskTriple[] maskArray, out NXOpen.NXObject @object, out NXOpen.Point3d cursor)
 Select single object using filter defined by mask triples. More...
 
unsafe NXOpen.Selection.Response SelectTaggedObject (string message, string title, NXOpen.Selection.SelectionScope scope, NXOpen.Selection.SelectionAction action, bool includeFeatures, bool keepHighlighted, NXOpen.Selection.MaskTriple[] maskArray, out NXOpen.TaggedObject @object, out NXOpen.Point3d cursor)
 Select single tagged object using filter defined by mask triples. More...
 
unsafe NXOpen.Selection.Response SelectObject (string message, string title, NXOpen.Selection.SelectionScope scope, bool keepHighlighted, NXOpen.Selection.SelectionType[] typeArray, out NXOpen.NXObject @object, out NXOpen.Point3d cursor)
 Select single object using filter defined by selection type. More...
 
unsafe NXOpen.Selection.Response SelectTaggedObject (string message, string title, NXOpen.Selection.SelectionScope scope, bool keepHighlighted, NXOpen.Selection.SelectionType[] typeArray, out NXOpen.TaggedObject @object, out NXOpen.Point3d cursor)
 Select single tagged object using filter defined by selection type. More...
 
unsafe NXOpen.Selection.Response SelectFeatures (string message, NXOpen.Selection.SelectionFeatureType featType, out NXOpen.Features.Feature[] featureArray)
 Select features More...
 
unsafe
NXOpen.Selection.DialogResponse 
SelectScreenPosition (string message, out NXOpen.View @object, out NXOpen.Point3d screenPosition)
 Select screen position on graphics display More...
 
unsafe int GetNumSelectedObjects ()
 Returns the number of objects currently selected More...
 
unsafe NXOpen.NXObject GetSelectedObject (int index)
 Returns the n'th object on the selection list More...
 
unsafe NXOpen.TaggedObject GetSelectedTaggedObject (int index)
 Returns the n'th tagged object on the selection list More...
 
unsafe bool IsGlobalSelectionActive ()
 Inquires whether or not Global Selection is active (no active dialog) More...
 
unsafe void ClearGlobalSelectionList ()
 Clears the Global Selection list More...
 
unsafe void RequestSelections (NXOpen.TaggedObject[] selectList)
 Submit a request to the current selection owner to select the given objects. More...
 
unsafe void RequestDeselections (NXOpen.TaggedObject[] deselectList)
 Submit a request to the current selection owner to deselect the given objects. More...
 
unsafe void SetSelectionMask (NXOpen.SelectionHandle select, NXOpen.Selection.SelectionAction action, NXOpen.Selection.MaskTriple[] maskArray)
 Sets the types of objects that are selectable. More...
 
unsafe void SetSelectType (NXOpen.SelectionHandle select, NXOpen.Selection.UistylerSelectionType type)
 Sets the selection type. More...
 
unsafe void SetSelectionCallbacks (NXOpen.SelectionHandle select, NXOpen.Selection.FilterCallback filterproc, NXOpen.Selection.SelectionCallback selcb)
 Specify selection filter callback for additional filtering based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed. More...
 
unsafe void SetTaggedObjectSelectionCallbacks (NXOpen.SelectionHandle select, NXOpen.Selection.FilterTaggedObjectCallback filterproc, NXOpen.Selection.TaggedObjectSelectionCallback selcb)
 Specify selection filter callback for additional filtering of tagged objects based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed. More...
 
unsafe bool GetSelectionStatusOfUserDefinedClass (NXOpen.UserDefinedObjects.UserDefinedClass udoClass)
 Gets whether or not the user defined class is available for selection. More...
 
unsafe void SetSelectionStatusOfUserDefinedClass (NXOpen.UserDefinedObjects.UserDefinedClass udoClass, bool selectionStatus)
 Sets whether or not the user defined class is available for selection. More...
 
unsafe void RemoveFromSelectionList (NXOpen.SelectionHandle select, NXOpen.NXObject[] objs, bool unhighlight)
 Removes objects from the selection list. More...
 
unsafe void RemoveTaggedObjectsFromSelectionList (NXOpen.SelectionHandle select, NXOpen.TaggedObject[] objs, bool unhighlight)
 Removes tagged objects from the selection list. More...
 
unsafe void RemoveAllFromSelectionList (NXOpen.SelectionHandle select, bool unhighlight)
 Removes all the objects from the selection list and optionally unhighlights them. More...
 
unsafe bool IsObjectInSelectionList (NXOpen.SelectionHandle select, NXOpen.TaggedObject @object)
 Inquires if object is selected. More...
 
unsafe int AskSelectionListCount (NXOpen.SelectionHandle select)
 Returns the number of objects currently selected. More...
 
unsafe void AskSelectionObjectList (NXOpen.SelectionHandle select, out NXOpen.NXObject[] objects)
 Returns the number of objects selected and a pointer to an array of tags of the objects selected. More...
 
unsafe void AskSelectionTaggedObjectList (NXOpen.SelectionHandle select, out NXOpen.TaggedObject[] objects)
 Returns the number of tagged objects selected and a pointer to an array of tags of the objects selected. More...
 
unsafe void AddToSelectionList (NXOpen.SelectionHandle select, NXOpen.NXObject[] objs, bool highlightFlag)
 Add objects to the selection list. More...
 
unsafe void AddToTaggedObjectsSelectionList (NXOpen.SelectionHandle select, NXOpen.TaggedObject[] objs, bool highlightFlag)
 Add objects to the selection list. More...
 
unsafe
NXOpen.Selection.SelectionDescriptor 
AskSelectionDescriptor (NXOpen.SelectionHandle select)
 Returns the information in Selection.SelectionDescriptor describing the selection that was just performed. More...
 
unsafe NXOpen.Point3d AskSelectionCursorPosition (NXOpen.SelectionHandle select, out NXOpen.View view)
 Returns the view and absolute coordinates of the cursor position for the associated selection. More...
 
unsafe NXOpen.View AskSelectionRectanglePosition (NXOpen.SelectionHandle select, out NXOpen.Point3d position1, out NXOpen.Point3d position2, out NXOpen.Point3d position3, out NXOpen.Point3d position4)
 Returns the absolute coordinates of the rectangle cursor positions. More...
 
unsafe NXOpen.SelectionSubscriber CreateSelectionSubscriber ()
 Creates a Selection Subscriber More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Defines an interface object for executing selection operations

To obtain an instance of this class, refer to NXOpen.UI

Created in NX3.0.0

Member Enumeration Documentation

Specify the user response for general dialogs.

Enumerator
None 

No Response

Pick 

User picked object on screen

Ok 

User selected Ok

Cancel 

User selected Cancel

Back 

User selected Back (if applicable)

Apply 

User selected Apply

Help 

User selected Help

Specify the user response for the selection operation.

Enumerator
Back 

User selected Back

Cancel 

User selected Cancel

Ok 

User selected Ok

ObjectSelectedByName 

User selected object by name

ObjectSelected 

User selected an object

Indicates the type of action to perform when an object is selected.

Enumerator
EnableAll 

Include objects in selection

EnableSpecific 

Include selected objects in selection

DisableSpecific 

Remove selected objects from selection

ClearAndEnableSpecific 

Clear selection and include selected objects

AllAndDisableSpecific 

Select all objects except for selected objects

Specify the type of features to select.

Enumerator
Browsable 

Select all browsable features

NoBooleanUdf 

Select all features except boolean and udf features

Indicates the scope for selecting objects.

Enumerator
UseDefault 

Use the default selection scope

WorkPart 

Use the work part

AnyInAssembly 

Use any occurrence in the assembly

WorkPartAndOccurrence 

Use the work part or any occurrence

Indicates the general class of object to filter selection.

Enumerator
All 

Filter to select all object types

Features 

Filter to select all feature types

Curves 

Filter to select all curve types

Faces 

Filter to select all face types

Edges 

Filter to select all edge types

CurvesAndEdges 

Filter to select all curve and edge types

Indicates the general class of object to filter selection.

Enumerator
InactiveSelection 

sets selection inactive until this function is called again

SingleSelection 

allows single select

SingleDeselection 

single deselect

RobustSelection 

reselect last

SinglePosition 

the position is returned if no object is selected with the single select gesture

RectanglePosition 

the position is returned if no object is selected with the single select gesture

Member Function Documentation

unsafe void NXOpen.Selection.AddToSelectionList ( NXOpen.SelectionHandle  select,
NXOpen.NXObject[]  objs,
bool  highlightFlag 
)

Add objects to the selection list.

Any objects already in the selection list are ignored. Use this function with UIStyler dialogs. You can call this from the constructor callback/selection initialization procedure to begin the dialog with objects already selected. The user can then review these objects, and if desired, deselect them.

The application selection callback can also call this function to add other objects to the selection list based on the objects(s) just selected. The selection filter procedure cannot call this function. Based on the object(s) just selected, other objects may need to be selected. For example, all edges of the selected face or all faces tangent to the selected face.

Created in NX5.0.0

Deprecated in NX8.0.0. Use Selection.AddToTaggedObjectsSelectionList instead

License requirements: None.

Parameters
selectSelection handle
objsObjects to be added in the selection list
highlightFlagIf true, highlight objects
unsafe void NXOpen.Selection.AddToTaggedObjectsSelectionList ( NXOpen.SelectionHandle  select,
NXOpen.TaggedObject[]  objs,
bool  highlightFlag 
)

Add objects to the selection list.

Any objects already in the selection list are ignored. Use this function with UIStyler dialogs. You can call this from the constructor callback/selection initialization procedure to begin the dialog with objects already selected. The user can then review these objects, and if desired, deselect them.

The application selection callback can also call this function to add other objects to the selection list based on the objects(s) just selected. The selection filter procedure cannot call this function. Based on the object(s) just selected, other objects may need to be selected. For example, all edges of the selected face or all faces tangent to the selected face.

Created in NX7.5.4

License requirements: None.

Parameters
selectSelection handle
objsObjects to be added in the selection list
highlightFlagIf true, highlight objects
unsafe NXOpen.Point3d NXOpen.Selection.AskSelectionCursorPosition ( NXOpen.SelectionHandle  select,
out NXOpen.View  view 
)

Returns the view and absolute coordinates of the cursor position for the associated selection.

If an object was selected, the view returned is the view in which the object was selected. For single position, the view is the view of the cursor. If the object was selected by name, view = a null reference (Nothing in Visual Basic) and the cursor position is undefined.

Created in NX5.0.0

License requirements: None.

Parameters
selectSelection handle
view
Returns
unsafe NXOpen.Selection.SelectionDescriptor NXOpen.Selection.AskSelectionDescriptor ( NXOpen.SelectionHandle  select)

Returns the information in Selection.SelectionDescriptor describing the selection that was just performed.

Created in NX5.0.0

License requirements: None.

Parameters
select
Returns
unsafe int NXOpen.Selection.AskSelectionListCount ( NXOpen.SelectionHandle  select)

Returns the number of objects currently selected.

Use this function with UIStyler dialogs.

Created in NX5.0.0

License requirements: None.

Parameters
selectSelection handle
Returns
Count of objects selected
unsafe void NXOpen.Selection.AskSelectionObjectList ( NXOpen.SelectionHandle  select,
out NXOpen.NXObject[]  objects 
)

Returns the number of objects selected and a pointer to an array of tags of the objects selected.

Use this function with UIStyler dialogs.

Created in NX5.0.0

Deprecated in NX8.0.0. Use Selection.AskSelectionTaggedObjectList instead

License requirements: None.

Parameters
selectSelection handle
objectsSelected objects.
unsafe NXOpen.View NXOpen.Selection.AskSelectionRectanglePosition ( NXOpen.SelectionHandle  select,
out NXOpen.Point3d  position1,
out NXOpen.Point3d  position2,
out NXOpen.Point3d  position3,
out NXOpen.Point3d  position4 
)

Returns the absolute coordinates of the rectangle cursor positions.

The view that returns is the view of the button down position.

button down position - is the position where you press and hold mouse button 1. button up position - is the position where you release mouse button 1.

Pos1 and Pos2 are the absolute coordinates of the button down and button up positions respectively. Pos3 is the absolute coordinates of the rectangle corner which, as viewed on the screen, is horizontal with pos1. Pos4 is the absolute coordinates of the rectangle corner which, as viewed on the screen, is horizontal with pos2. Returns an error if the last gesture was not rectangle.

Created in NX5.0.0

License requirements: None.

Parameters
selectSelection handle
position1Absolute coordinates of the button down position
position2Absolute coordinates of the button up position
position3Absolute coordinates of corner of screen rectangle which is horizontal with button down position
position4Absolute coordinates of corner of screen rectangle which is horizontal with button up position
Returns
View of button down position
unsafe void NXOpen.Selection.AskSelectionTaggedObjectList ( NXOpen.SelectionHandle  select,
out NXOpen.TaggedObject[]  objects 
)

Returns the number of tagged objects selected and a pointer to an array of tags of the objects selected.

Use this function with UIStyler dialogs.

Created in NX7.5.4

License requirements: None.

Parameters
selectSelection handle
objectsSelected objects.
unsafe void NXOpen.Selection.ClearGlobalSelectionList ( )

Clears the Global Selection list

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectionSubscriber NXOpen.Selection.CreateSelectionSubscriber ( )

Creates a Selection Subscriber

Created in NX11.0.0

License requirements: None.

Returns
delegate int NXOpen.Selection.FilterCallback ( NXOpen.NXObject  entity,
NXOpen.Selection.MaskTriple  entityMask,
NXOpen.SelectionHandle  selectHandle 
)

It is an optional callback which the user can provide to perform application specific filtering when selecting objects.

Created in NX5.0.0

Deprecated in NX8.0.0. Use NXOpen.Selection.FilterTaggedObjectCallback instead

License requirements: None.

Parameters
entityCandidate object
entityMaskObject type, object subtype, solid type
selectHandleSelection handle
delegate int NXOpen.Selection.FilterTaggedObjectCallback ( NXOpen.TaggedObject  entity,
NXOpen.Selection.MaskTriple  entityMask,
NXOpen.SelectionHandle  selectHandle 
)

It is an optional callback which the user can provide to perform application specific filtering when selecting tagged objects.

Created in NX7.5.4

License requirements: None.

Parameters
entityCandidate object
entityMaskObject type, object subtype, solid type
selectHandleSelection handle
unsafe int NXOpen.Selection.GetNumSelectedObjects ( )

Returns the number of objects currently selected

Created in NX3.0.0

License requirements: None.

Returns
The number of objects currently selected
unsafe NXOpen.NXObject NXOpen.Selection.GetSelectedObject ( int  index)

Returns the n'th object on the selection list

Created in NX3.0.0

Deprecated in NX8.0.0. Use Selection.GetSelectedTaggedObject instead

License requirements: None.

Parameters
indexThe index. Should be between 0 and GetNumSelectedObjects
Returns
The object at the given position on the selection list. Returns a null reference (Nothing in Visual Basic) if the index parameter is greater than the length of the list
unsafe NXOpen.TaggedObject NXOpen.Selection.GetSelectedTaggedObject ( int  index)

Returns the n'th tagged object on the selection list

Created in NX7.5.4

License requirements: None.

Parameters
indexThe index. Should be between 0 and GetNumSelectedObjects
Returns
The object at the given position on the selection list. Returns a null reference (Nothing in Visual Basic) if the index parameter is greater than the length of the list
unsafe bool NXOpen.Selection.GetSelectionStatusOfUserDefinedClass ( NXOpen.UserDefinedObjects.UserDefinedClass  udoClass)

Gets whether or not the user defined class is available for selection.

Created in NX5.0.0

License requirements: None.

Parameters
udoClassThe UserDefinedClass in question
Returns
Allow the selection of this UserDefinedClass
unsafe bool NXOpen.Selection.IsGlobalSelectionActive ( )

Inquires whether or not Global Selection is active (no active dialog)

Created in NX11.0.0

License requirements: None.

Returns
True if Global Selection is active (no active dialog)
unsafe bool NXOpen.Selection.IsObjectInSelectionList ( NXOpen.SelectionHandle  select,
NXOpen.TaggedObject @  object 
)

Inquires if object is selected.

Use this function with UIStyler dialogs.

Created in NX5.0.0

License requirements: None.

Parameters
selectSelection handle
objectObject
Returns
If true, object is in the selection list, else false.
unsafe void NXOpen.Selection.RemoveAllFromSelectionList ( NXOpen.SelectionHandle  select,
bool  unhighlight 
)

Removes all the objects from the selection list and optionally unhighlights them.

Use this function with UIStyler dialogs.

Created in NX5.0.0

License requirements: None.

Parameters
selectSelection handle
unhighlightIf true, unhighlight objects
unsafe void NXOpen.Selection.RemoveFromSelectionList ( NXOpen.SelectionHandle  select,
NXOpen.NXObject[]  objs,
bool  unhighlight 
)

Removes objects from the selection list.

Use this function with UIStyler dialogs. It can be called from the selection callback. It cannot be called from the selection filter procedure.

If any of the objects are not in the list, an error is returned and NO objects are removed from the list.

It could be called by the selection callback to remove objects from the selection list. For example, based on objects just deselected, the application may need to remove other associated objects from the selection list.

Created in NX5.0.0

Deprecated in NX8.0.0. Use Selection.RemoveTaggedObjectsFromSelectionList instead

License requirements: None.

Parameters
selectSelection handle
objsArray of object
unhighlightIf true, unhighlight objects
unsafe void NXOpen.Selection.RemoveTaggedObjectsFromSelectionList ( NXOpen.SelectionHandle  select,
NXOpen.TaggedObject[]  objs,
bool  unhighlight 
)

Removes tagged objects from the selection list.

Use this function with UIStyler dialogs. It can be called from the selection callback. It cannot be called from the selection filter procedure.

If any of the objects are not in the list, an error is returned and NO objects are removed from the list.

It could be called by the selection callback to remove objects from the selection list. For example, based on objects just deselected, the application may need to remove other associated objects from the selection list.

Created in NX7.5.4

License requirements: None.

Parameters
selectSelection handle
objsArray of object
unhighlightIf true, unhighlight objects
unsafe void NXOpen.Selection.RequestDeselections ( NXOpen.TaggedObject[]  deselectList)

Submit a request to the current selection owner to deselect the given objects.

Note that the selection owner may not allow some objects to be deselected.

Created in NX11.0.0

License requirements: None.

Parameters
deselectList
unsafe void NXOpen.Selection.RequestSelections ( NXOpen.TaggedObject[]  selectList)

Submit a request to the current selection owner to select the given objects.

Note that the selection owner may not allow some objects to be selected.

Created in NX11.0.0

License requirements: None.

Parameters
selectList
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectFeatures ( string  message,
NXOpen.Selection.SelectionFeatureType  featType,
out NXOpen.Features.Feature[]  featureArray 
)

Select features

Created in NX3.0.0

License requirements: None.

Parameters
messageCue line message to display
featTypeThe types of features that are selectable
Returns
Ok, Back, or Cancel
Parameters
featureArrayThe selected features
delegate int NXOpen.Selection.SelectionCallback ( NXOpen.NXObject[]  selectedObjects,
NXOpen.NXObject[]  deselectedObjects,
NXOpen.SelectionHandle  selectHandle 
)

It is an optional callback which the user can provide to customize his selection

Created in NX5.0.0

Deprecated in NX8.0.0. Use NXOpen.Selection.TaggedObjectSelectionCallback instead

License requirements: None.

Parameters
selectedObjectsSelected objects
deselectedObjectsDeselected objects
selectHandleSelection handle
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectObject ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
out NXOpen.NXObject object,
out NXOpen.Point3d  cursor 
)

Select single object.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX3.0.0

Deprecated in NX8.0.0. Use Selection.SelectTaggedObject instead

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Parameters
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectObject ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
NXOpen.Selection.SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
NXOpen.Selection.MaskTriple[]  maskArray,
out NXOpen.NXObject object,
out NXOpen.Point3d  cursor 
)

Select single object using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX3.0.0

Deprecated in NX8.0.0. Use Selection.SelectTaggedObject instead

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Parameters
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectObject ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
bool  keepHighlighted,
NXOpen.Selection.SelectionType[]  typeArray,
out NXOpen.NXObject object,
out NXOpen.Point3d  cursor 
)

Select single object using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX3.0.0

Deprecated in NX8.0.0. Use Selection.SelectTaggedObject instead

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types of objects that can be selected
Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Parameters
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectObjects ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
out NXOpen.NXObject[]  objectArray 
)

Select objects.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX3.0.0

Deprecated in NX8.0.0. Use Selection.SelectTaggedObjects instead

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
Returns
Ok, Back, or Cancel
Parameters
objectArrayThe selected objects
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectObjects ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
NXOpen.Selection.SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
NXOpen.Selection.MaskTriple[]  maskArray,
out NXOpen.NXObject[]  objectArray 
)

Select objects using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX3.0.0

Deprecated in NX8.0.0. Use Selection.SelectTaggedObject instead

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
Returns
Ok, Back, or Cancel
Parameters
objectArrayThe selected objects
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectObjects ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
bool  keepHighlighted,
NXOpen.Selection.SelectionType[]  typeArray,
out NXOpen.NXObject[]  objectArray 
)

Select objects using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX3.0.0

Deprecated in NX8.0.0. Use Selection.SelectTaggedObject instead

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types that can be selected
Returns
Ok, Back, or Cancel
Parameters
objectArrayThe selected objects
unsafe NXOpen.Selection.DialogResponse NXOpen.Selection.SelectScreenPosition ( string  message,
out NXOpen.View object,
out NXOpen.Point3d  screenPosition 
)

Select screen position on graphics display

Created in NX3.0.0

License requirements: None.

Parameters
messageCue line message to display
Returns
Pick, Back, or Cancel
Parameters
objectView of selected screen location
screenPositionSelected screen position
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectTaggedObject ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
out NXOpen.TaggedObject @  object,
out NXOpen.Point3d  cursor 
)

Select single tagged object.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX7.5.4

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Parameters
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectTaggedObject ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
NXOpen.Selection.SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
NXOpen.Selection.MaskTriple[]  maskArray,
out NXOpen.TaggedObject @  object,
out NXOpen.Point3d  cursor 
)

Select single tagged object using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX7.5.4

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Parameters
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectTaggedObject ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
bool  keepHighlighted,
NXOpen.Selection.SelectionType[]  typeArray,
out NXOpen.TaggedObject @  object,
out NXOpen.Point3d  cursor 
)

Select single tagged object using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX7.5.4

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types of objects that can be selected
Returns
Ok, Back, Cancel, ObjectSelected, or ObjectSelectedByName
Parameters
objectThe selected object
cursorAbsolute coordinates of cursor position. This is undefined if object is selected by name
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectTaggedObjects ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
bool  includeFeatures,
bool  keepHighlighted,
out NXOpen.TaggedObject[]  objectArray 
)

Select tagged objects.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX7.5.4

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
Returns
Ok, Back, or Cancel
Parameters
objectArrayThe selected objects
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectTaggedObjects ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
NXOpen.Selection.SelectionAction  action,
bool  includeFeatures,
bool  keepHighlighted,
NXOpen.Selection.MaskTriple[]  maskArray,
out NXOpen.TaggedObject[]  objectArray 
)

Select tagged objects using filter defined by mask triples.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX7.5.4

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
actionIndicates how the mask array will modify the selection filter
includeFeaturesWhether to allow the selection of features
keepHighlightedWhether to keep the selection highlighted after it has been selected
maskArrayModifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter.
Returns
Ok, Back, or Cancel
Parameters
objectArrayThe selected objects
unsafe NXOpen.Selection.Response NXOpen.Selection.SelectTaggedObjects ( string  message,
string  title,
NXOpen.Selection.SelectionScope  scope,
bool  keepHighlighted,
NXOpen.Selection.SelectionType[]  typeArray,
out NXOpen.TaggedObject[]  objectArray 
)

Select tagged objects using filter defined by selection type.

To enable selection of objects within drawing member views, use SetCursorView API available on UFUi

.

Created in NX7.5.4

License requirements: None.

Parameters
messageCue line message to display
titleDialog title
scopeSelection scope
keepHighlightedWhether to keep the selection highlighted after it has been selected
typeArrayThe types that can be selected
Returns
Ok, Back, or Cancel
Parameters
objectArrayThe selected objects
unsafe void NXOpen.Selection.SetSelectionCallbacks ( NXOpen.SelectionHandle  select,
NXOpen.Selection.FilterCallback  filterproc,
NXOpen.Selection.SelectionCallback  selcb 
)

Specify selection filter callback for additional filtering based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed.

Both the filter callback and the selection callback are passed object to SelectionHandle which can be used to inquire other selection data or modify selection. This selection handle object is no longer valid after the filter callback or selection callback is exited.

Created in NX5.0.0

Deprecated in NX8.0.0. Use NXOpen.Selection.SetTaggedObjectSelectionCallbacks instead

License requirements: None.

Parameters
selectSelection handle
filterprocFilter callback for additional user specific filtering.
selcbSelection callback for application specific processing.
unsafe void NXOpen.Selection.SetSelectionMask ( NXOpen.SelectionHandle  select,
NXOpen.Selection.SelectionAction  action,
NXOpen.Selection.MaskTriple[]  maskArray 
)

Sets the types of objects that are selectable.

If this function is not called to set the mask, then the default mask is all standard types.

Created in NX5.0.0

License requirements: None.

Parameters
selectSelection handle
actionMask action
maskArrayMask triples
unsafe void NXOpen.Selection.SetSelectionStatusOfUserDefinedClass ( NXOpen.UserDefinedObjects.UserDefinedClass  udoClass,
bool  selectionStatus 
)

Sets whether or not the user defined class is available for selection.

Created in NX5.0.0

License requirements: None.

Parameters
udoClassThe UserDefinedClass in question
selectionStatusAllow the selection of this UserDefinedClass
unsafe void NXOpen.Selection.SetSelectType ( NXOpen.SelectionHandle  select,
NXOpen.Selection.UistylerSelectionType  type 
)

Sets the selection type.

It can be called from a callback to change the type of selection associated with the dialog.

Created in NX5.0.0

License requirements: None.

Parameters
selectSelection handle
typeSelection type
unsafe void NXOpen.Selection.SetTaggedObjectSelectionCallbacks ( NXOpen.SelectionHandle  select,
NXOpen.Selection.FilterTaggedObjectCallback  filterproc,
NXOpen.Selection.TaggedObjectSelectionCallback  selcb 
)

Specify selection filter callback for additional filtering of tagged objects based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed.

Both the filter callback and the selection callback are passed object to SelectionHandle which can be used to inquire other selection data or modify selection. This selection handle tagged object is no longer valid after the filter callback or selection callback is exited.

Created in NX7.5.4

License requirements: None.

Parameters
selectSelection handle
filterprocFilter callback for additional user specific filtering.
selcbSelection callback for application specific processing.
delegate int NXOpen.Selection.TaggedObjectSelectionCallback ( NXOpen.TaggedObject[]  selectedObjects,
NXOpen.TaggedObject[]  deselectedObjects,
NXOpen.SelectionHandle  selectHandle 
)

It is an optional callback which the user can provide to customize his selection of tagged objects

Created in NX7.5.4

License requirements: None.

Parameters
selectedObjectsSelected objects
deselectedObjectsDeselected objects
selectHandleSelection handle

Property Documentation

Tag NXOpen.Selection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.